<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Mini-CMS</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="../backend/css/backend.css">
<link rel="stylesheet" type="text/css" href="../css/spezial/spezial.css">        
</head>
<body>
<div>
<h1>Datenbanksetup mit Beispieldaten</h1>
<?php
include "../edit/config.inc.php";
include "../zugriff.inc.php";
$schritt1 = false;

$sqlcode = "
CREATE TABLE `{$pfx}content` (
  `URLAnhang` varchar(40) NOT NULL default '',
  `MenueName` varchar(40) default NULL,
  `Ebene1` smallint(6) default NULL,
  `Ebene2` smallint(6) default NULL,
  `Seitentitel` varchar(85) default NULL,
  `Content` text,
  `KastenNr` smallint(6) default NULL,
  PRIMARY KEY  (`URLAnhang`)
) DEFAULT CHARACTER SET utf8;

INSERT INTO `{$pfx}content` VALUES (
  'home', 
  'Startseite', 
  '1', 
  '0', 
  'Willkommen auf der Startseite', 
  '<h1>Willkommen bei CMBasic 1.7!</h1>
  <div class=\"lead\">Wir beglückwünschen Sie zur erfolgreichen Installation unseres kleinen Content-Management-Systems! Sie werden sehen, dass CMS und einfache Bedienung keine Gegensätze sein müssen!</div>
  {audio,neuefeatures.mp3}
  <p>Wir empfehlen: Genießen Sie erst einmal den Sonnenuntergang auf Hiddensee und entspannen Sie sich. Danach wagen Sie sich Schritt für Schritt an die Einrichtung unseres Systems. Eine ausführliche Anleitung finden Sie übrigens auf <a href=\"http://www.cmbasic.de\">www.cmbasic.de</a>.</p>{sunset.jpg}', 
  '-13'
);

INSERT INTO `{$pfx}content` VALUES (
  'kosten', 
  'Was kostet es?', 
  '3', 
  '0', 
  'Was kostet CMBasic?', 
  '<h1>Was kostet CMBasic?</h1>
  <div class=\"lead\">Um die Frage gleich zu Anfang zu beantworten: Nichts! CMBasic ist Open Source und damit völlig kostenfrei.</div>
  <p>Einzige Bitte: Sie lassen den Link am Fußende »powered by CMBasic« intakt. Wenn Sie sich dazu nicht entschließen können, erwarten wir wenigstens einen Hinweis im Impressum: »powered by CMBasic« mit Link auf <a href=\"http://www.cmbasic.de\">www.cmbasic.de</a>. Vielen Dank.</p>
  <h2>Untereinträge als Blog:</h2>
  <p>Hier folgt gleich noch ein Beispiel für die neuen Listeneinträge. Denn gleich werden alle Untereinträge dieser Kategorie als Blog dargestellt. Das gelingt, wie schon erwähnt, mit dem Symbolbefehl {klammer1.gif,Klammer,3}blog{klammer2.gif,Klammer,3}. Beachten Sie, dass dieser Befehl nicht innerhalb von Absatz-Tags notiert werden darf, damit der Quellcode als gültig anerkannt wird.</p>{blog}', 
  '3'
);

INSERT INTO `{$pfx}content` VALUES (
  'eigenschaften', 
  'Wozu CMBasic?', 
  '2', 
  '0', 
  'Die Eigenschaften von CMBasic', 
  '<h1>Eigenschaften von CMBasic</h1>
  <div class=\"lead\">{puppe.jpg,Die CMS-Puppe,1}CMBasic ist ein Content-Management-System. Verwalten Sie die Inhalte Ihrer Webpräsenz komfortabel online, und zwar ohne HTML-Kenntnisse. Das System arbeitet auf Datenbankbasis und lässt sich sehr leicht anpassen.</div>
  <p>CMBasic ist für die interessant, die eine Alternative zu den überladenen Content-Management-Systemen suchen, für deren &raquo;Eroberung&laquo; man offenbar eine mehrwöchige Ausbildung benötigt. Wir sprechen da durchaus aus Erfahrung. Statt auf Featuritis liegt das Schwergewicht auf einfacher Bedienung. Informieren Sie sich in den Unterrubriken über die Vor- und Nachteile unseres Systems.</p>
  <h2>Listen- und Blogbefehle</h2>
  <p>Mit diesem Feature können Sie alle Untereinträge bzw. Untermenüpunkte dieser Hauptebene als Liste bzw. Blog einbinden. Das gelingt durch einen speziellen Symbolbefehl. Schreiben Sie das Schlüsselwort <code>list</code> bzw. <code>blog</code> und hüllen Sie es in geschweifte Klammern ein. Das war es auch schon! Zum Beweis binden wir gleich die Untereinträge dieser Rubrik als Liste ein. Der entsprechende Symbolbefehl sieht also folgendermaßen aus: {klammer1.gif,Klammer,3}list{klammer2.gif,Klammer,3}.</p>
  <p>Achtung: Notieren Sie diesen Befehl bitte ohne irgendwelche HTML-Tags drumherum.</p>
  {list,2}
  <p>Das Schlüsselwort <code>list</code> erzeugt also eine Liste aller Untereinträge der entsprechenden Hauptebene (Ebene1). Das Schlüsselwort <code>blog</code> dagegen fügt in diese Auflistung zusätzlich Überschriften und kurze Anreißertexte ein.</p>
  <p class=\"rahmen\">Sie wollen gezielt die Hauptebene bestimmen, für die eine Listen- bzw. Blogansicht generiert werden soll? Setzen Sie nach dem Schlüsselwort <code>list</code> bzw. <code>blog</code> einfach ein Komma. Fügen Sie danach ohne Leerzeichen die Nummer der gewünschten Hauptebene ein. Sie möchten alle Untereinträge der Hauptebene 3 als Blog darstellen? Schreiben Sie {klammer1.gif,Klammer,3}blog,3{klammer2.gif,Klammer,3}</p>
  <p>Auch in unseren <a href=\"http://www.jchanke.de\">unzähligen Publikationen</a> versuchen wir stets, »das Komplizierte einfach zu erklären«. Danke für das Interesse!</p>
  <p>Mit freundlichen Grüßen<br />
  Ihr Johann-Christian Hanke</p>', 
  '2'
);

INSERT INTO `{$pfx}content` VALUES ('nachteile', 'Einschränkungen', '2', '2', 'Was CMBasic nicht leistet', '<h1>Was CMBasic nicht leistet</h1>
<div class=\"lead\">CMBasic ist nicht für alle Zwecke geeignet und wir wollen nicht, dass Sie falsche Vorstellungen bekommen.</div>

<p>{eiche.gif,Eichenblatt,2}
Was unser Programm nicht leistet:</p>

<ul><li>CMBasic kennt lediglich zwei Menüleisten, und nur die vertikale hat maximal zwei Ebenen. Ob Sie diese Leiste(n) jedoch oben oder unten, links oder rechts anordnen, bleibt Ihnen überlassen.</li>
<li>Insgesamt gibt es jedoch drei Ebenen. Die dritte Ebene kann in Listenform dargestellt werden und eignet sich besonders für Newsbeiträge.</li>
<li>CMBasic ist kein Redaktionssystem. Es gibt keine mehrstufigen Berechtigungssysteme und keine Freigabemöglichkeit durch Redakteure.</li>
<li>Immerhin können Sie bestimmten Nutzern einzelne Datensätze zuordnen.</li>
<li>RSS-Newsfeeds, Webshops, Umfragen, Foren usw. können Sie mit CMBasic nicht erstellen.</li>
<li>Mit CMBasic können Sie weder chatten noch telefonieren.</li>
<li>CMBasic führt keine Besucherstatistik.</li>
</ul>

<p class=\"rahmen\">Sie können jedoch vorgefertigte oder eigene PHP-Skripte als Plugin in CMBasic einbinden! Im Prinzip auch Foren, Gästebücher oder Umfragen!</p>', '0');

INSERT INTO `{$pfx}content` VALUES ('vorteile', 'Vorteile', '2', '1', 'Vorteile', '<h1>Vorteile von CMBasic</h1>

<div class=\"lead\">Hier informieren wir Sie über die Vorteile von CMBasic</div>

<p>{ahorn.gif,Ahornblatt,2}Hier die wichtigsten Vorteile von CMBasic:</p>

<ul>
<li>geringer Platzbedarf, geringe Dateigröße (500 kByte)</li>
<li>blitzschnelle Suchfunktion</li>
<li>Dateneingabe mit leistungsstarkem HTML-Editor TinyMCE</li>
<li>Grafiken wahlweise über Symboltags oder Drag &amp; Drop einfügbar</li>
<li>Integrieren von Audio-Dateien per Symbolbefehl</li>
<li>Einbinden von Videos per Symbolbefehl</li>
<li>einfaches Erzeugen von Lightbox-Galerien</li>
<li>Layout CSS-gesteuert und damit praktisch komplett an Ihre Bedürfnisse anpassbar</li>
<li>geringe Systemanforderungen, läuft auch bei Massenhostern schnell</li>
<li>Nutzerverwaltung: Sie können mehrere Nutzer festlegen und Freigaben für bestimmte Ressourcen einrichten.</li>
<li>Mehrere CMBasics pro Präsenz: Dank Tabellenpräfix können Sie so viele CMBasic-Installationen pro Datenbank einrichten, wie Sie wollen!</li>
<li>Feedback-Formailer mit Flooding-Sperre für Ihre Besucher</li>
<li>Mailpad zum Verschicken von beliebigen E-Mails im geschützten Bereich</li>
<li>Automatisches Einbinden von Untereinträgen als Liste oder als Blog</li>
<li>Backupfunktion</li>
</ul>

<p class=\"rahmen\">CMBAsic unterstützt Plugins und Skripte. Sie können PHP-Skripte in CMBasic einbinden, sei es ein Feedbackformular, Gästebuch oder RSS-Skript! Sie können eigene Skripte programmieren und integrieren.</p>', '0');
INSERT INTO `{$pfx}content` VALUES ('lizenz', 'Die Lizenz', '3', '1', 'CMBasic ist Freeware unter der GNU GPL', '<h1>Freeware unter der GNU GPL</h1>

<div class=\"lead\">Wir veröffentlichen CMBasic als Freeware unter der GPL, der <a href=\"http://www.gnu.org/licenses/gpl.html\">GNU General Public License</a>. Das bietet Ihnen u.a. die Freiheit, den Quellcode einzusehen und das Programm an Ihre Bedürfnisse anzupassen. Änderungen müssen Sie dann jedoch auch unter die GPL oder eine kompatible Lizenz stellen. Sie dürfen also eine veränderte (angepasste) Version dieses Programms nicht verkaufen, wohl aber für die Dienstleistung der Einrichtung Geld verlagen.</div>

<p class=\"tipp\">CMBasic. Das kinderleichte Content-Management-System,
Copyright (C) 2006-2025 Johann-Christian Hanke</p>

<p>This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.</p>

<p>This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.</p>

<p>You should have <a href=\"http://www.gnu.org/licenses/gpl.html\">received</a> a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.</p>

<h3>TinyMCE und MySQL TableEditor</h3>
<div>CMBasic verwendet als HTML-Editor TinyMCE der Firma Moxiecode AB und für die Datenverwaltung den MySQL TableEditor von Richard Heyes. Das Backup-Modul stammt von Vagharshak Tozalak. Für die Lightbox-Bildergalerie kommmt das JavaScript-Framework MooTools zum Einsatz. Das RSS-Modul hat Matthias Fleischer (mfdweb.de) zur Verfügung gestellt. Alle genannten Programme sind Freeware bzw. Open Source. Die deutsche Übersetzung vom TableEditor stammt von uns.</div>
', '0');
INSERT INTO `{$pfx}content` VALUES ('kurzanleitung', 'Kurzanleitung', '4', '0', 'Das ist Menüpunkt 4', '<h1>Erste Schritte mit CMBasic</h1>

<div class=\"lead\">Wie einfach die Bedienung geht, haben Sie nach dem Einloggen sicher schon gemerkt. Sie können alle Datensätze bequem über einen Word-ähnlichen HTML-Editor bearbeiten: Klicken Sie einfach auf »Eintrag bearbeiten«!</div>
{hiddensee.jpg, Szene aus Vitte}
<h2>Neue Datensätze anlegen bzw. löschen</h2>
<p>... können Sie im Bereich <b>Content</b> über die Schaltflächen <b>Neu</b> bzw. <b>Editieren</b>. Das eigentliche Bearbeiten Ihrer Einträge sollten Sie jedoch nicht im Backend, sondern im Frontend (auf der Vorderseite) vornehmen, da nur hier der HTML-Editor TinyMCE eingebunden wurde. Beachten Sie, dass jeder Datensatz im Bereich Content einen eindeutigen und abweichenden <b>URLAnhang</b> benötigt. Verzichten Sie bei der Namensvergabe auf Leerzeichen, Umlaute und Sonderzeichen! Die Sortierung können Sie über die Felder <b>Ebene1</b> und <b>Ebene2</b> vornehmen. Je höher die Zahl, desto tiefer erscheint der Eintrag. Negative Zahlen sorgen dafür, dass zusätzlich ein vertikal Menü entsteht. Dort gibt es aber nur eine Ebene. Einträge auf <b>Ebene2</b> müssen auf 0 bleiben.</p>

<h2>Bilder verwalten und hochladen</h2>
<p>... können Sie in der <b>Bildverwaltung</b>. Beachten Sie, dass per Voreinstellung die Formate .gif, .jpg und .png zugelassen sind. Die Breite eines Bildes darf nicht größer als 600 Pixel sein. Auch das Hochladen von Dateien gelingt im Backend, und zwar über den Dateibrowser.</p>

<h2>Das Anlegen von Kästen</h2>
<p>... gelingt im Bereich <b>Kästen</b>. Geben Sie eine eindeutige <b>KastenNr</b> an und schreiben Sie den gewünschten Text. Falls Sie diesen Kasten zuweisen möchten, bearbeiten Sie den gewünschten Eintrag und geben die <b>KastenNr</b> an. Sie können der KastenNr auch ein Minus voranstellen. Das sorgt für eine andere Formatierung. Mehrere Nummern mit Minus sorgen dafür, dass alle diese Kästen übereinander dargestellt werden, -124 blendet also Kasten 1, 2 und 4 untereinander ein.</p>

<h2>Nutzerverwaltung und Passwörter</h2>
<p>Im Bereich <b>Nutzer</b> können Sie Nutzernamen und Passwort ändern, neue Nutzer einrichten und die Rechte festlegen. Ein <b>Administrator</b> (Berechtigungsstufe 3) darf alle Datensätze bearbeiten, Kästen anlegen und die Bildverwaltung nutzen. Erst ein <b>Superadmin</b> (Berechtigungsstufe 4) kann auch Nutzer einrichten, Freigaben erteilen oder SQL-Befehle eingeben.</p>
<p class=\"tipp\">Wichtig: Ändern Sie unbedingt Ihr Passwort!</p>

<h2>Rechte zuweisen</h2>
<p>Ein neuer Nutzer, egal ob Berechtigungsstufe 1 oder 2, darf erst einmal gar nichts. Damit sie oder er auf einen Datensatz zugreifen kann, müssen Sie diesen freigeben. Dazu müssen Sie als Superadmin eingeloggt sein. Das gelingt dann im Bereich <b>Freigabe</b>. Wählen Sie <b>URLAnhang</b> und <b>user</b> aus!</p>', '0');
INSERT INTO `{$pfx}content` VALUES ('abbildungen', 'Abbildungen', '4', '1', 'Einfügen von Abbildungen', '<h1>Einfügen von Abbildungen</h1>

<div class=\"lead\">Wie binden Sie eine Abbildung in Ihre Seite ein? Dafür gibt es zwei Methoden! Zum einen gelingt es per Symbolbefehl, ganz ähnlich wie in Mambo oder Joomla. Zum anderen auch per Drag &amp; Drop</div>

<h2>Grafik einfügen per Symbolbefehl</h2>
<p>{dusche.jpg,Dusche mit rotem Duschvorhang,2}Schreiben Sie einfach <b>{klammer1.gif,Klammer,3}Grafikname.end{klammer2.gif,Klammer,3}</b>. Das Bild sunset.jpg binden Sie also ein über <b>{klammer1.gif,Klammer,3}sunset.jpg{klammer2.gif,Klammer,3}</b>. Die Maße der Grafik werden dabei automatisch ermittelt.</p>
<h3>Alternativtext angeben</h3>
<div>Sie möchten zusätzlich einen Alternativtext angeben? Dann schreiben Sie: <b>{klammer1.gif,Klammer,3}grafik.gif,Alternativtext{klammer2.gif,Klammer,3}</b>. Unser Skript wandelt die Wortgruppe nach dem Komma automatisch sowohl in das alt- als auch das title-Attribut um!</div>
<h3>Ausrichtung</h3>
<p>Aber auch die Ausrichtung steuern Sie durch einen weiteren Parameter. Per Standard wird die Grafik dabei in den Absatz eingebunden, der mit der Stilklasse <b>image</b> formatiert wird. Sie können aber auch einen dritten Parameter anfügen und hier per Zahl die Ausrichtung steuern: <b>{klammer1.gif,Klammer,3}grafik.gif, Alternativtext,1{klammer2.gif,Klammer,3}</b>. Arbeiten Sie mit den Zahlen 1-3. Eine 1 formatiert die Abbildung linksbündig, der Rest des Inhalts fließt rechts vorbei. Die 2 richtet sie rechts aus, der Rest des Inhalts fließt links vorbei und eine 3 formatiert eine Grafik wie ein Zeichen - ohne Tags drumherum.</p>
<p class=\"rahmen\">Das Beste: Sollten Sie die Grafik versehentlich löschen oder sich beim Bildnamen verschrieben haben, werden Sie gewarnt. Dann schreibt das Skript »Bild xyz nicht vorhanden!« in die Seite.</p>

<h2>Grafik einbinden durch Ziehen</h2>
<p>Besonders raffiniert ist jedoch das Einbinden per Drag &amp; Drop. Klicken Sie dafür rechts oben auf den Link <b>Bilder</b>. Die Bildverwaltung öffnet sich in einem separaten Fenster. Gehen Sie in den gewünschten Ordner und ziehen Sie die Abbildung per Drag & Drop in den TinyMCE-Editorbereich. Zumindest bei Internet Explorer und ggf. auch bei Opera wird nun der korrekte Pfad eingefügt. Der Internet Explorer zeigt die Grafik sogar direkt im Formularfeld in einer Vorschau an!</p>
<p class=\"tipp\">Das Ausrichten der Abbildung und das Zuweisen eines alternativen Texts gelingt nun über die Schaltfläche <b>Insert/edit image</b> aus TinyMCE.</p>
', '0');
INSERT INTO `{$pfx}content` VALUES ('quellcode', 'Code studieren', '3', '2', 'Durchschauen Sie den Quellcode von CMBasic', '<h1>So tickt CMBasic</h1>

<div class=\"lead\">Ein Open-Source-Programm unter den GNU GPL bietet Ihnen das Recht, den Quellcode anzupassen und natürlich zu studieren. Dazu möchten wir Sie herzlich einladen.</div>

<h2>Ein Programm für die Praxis</h2>

<p>Wir führen Ihnen das System und seine Entwicklung ausführlich und anschaulich vor, und zwar im <a href=\"http://www.phpkid.de/?inhalt_buch2\" target=\"_top\">PHP und MySQL Praxisbuch für Kids</a>. Dort gibt es je eigene Abschnitte zu den Themen:</p>
<ul>
<li>Login-Modul mit Sessions</li>
<li>Sicherer Passwortschutz und Verschlüsselungstechniken</li>
<li>Bildupload mit Bildanzeige</li>
<li>reguläre Ausdrücke zum Ausfiltern bestimmter Textpassagen (Spamschutz, Bild- und Plugin-Modul)</li>
<li>Einbinden des TableEditors (Content, Newskästen, Freigabe)</li>
<li>Erzeugen eines dynamischens Menüs</li>
<li>Arbeit mit Formularen und URL-Anhängen</li>
<li>Einbinden von TinyMCE</li>
</ul>

<p class=\"tipp\">Das CMS (in seiner Ursprungsfassung) ist das Hauptbeispiel dieses Buches. Das Buch hat mich quasi zur Entwicklung motiviert. Oder die Entwicklung zum Buch? Allerdings ist das Buch inzwischen hoffnungslos veraltet.</p>

<h2>Erst einmal PHP und MySQL lernen?</h2>

{phpkid_aufl4.gif,PHP und MySQL für Kids in der 8. Auflage}
<p>Okay, okay ... Sie müssen nicht so hoch hinaus. Wenn Sie erst einmal PHP und MySQL lernen möchten und an einem Crashkurs in HTML und CSS interessiert sind, empfehlen wir Ihnen <a href=\"http://www.phpkid.de/?inhalt_buch1\" target=\"_top\">PHP und MySQL für Kids</a>. Für das große Interesse am Buch sprechen acht Auflagen in elf Jahren, die von verschiedenen Fachmagazinen positiv rezensiert wurden. Die achte, erheblich überarbeitete Auflage ist im Frühjahr 2019 erschienen, fast zeitgleich mit CMBasic 1.6 Final. Ein schöner Erfolg, über den ich mich damals, vor 6 Jahren, sehr gefreut habe. Leider ist auch dieses Buch nicht mehr ganz up to date, aber immer noch gut genug.</p>

<h2>Oder ein anderes CMS verwenden?</h2>

<p>Aus unserem Hause stammt auch der Titel <a href=\"http://www.phpkid.de/?inhalt_buch3\" target=\"_top\">Content Management mit Joomla! 3.5 für Kids</a>. Dort stellen wir Ihnen Joomla 3.5 ganz ausführlich vor! Der Titel ist aber, wie alle meine anderen Titel, veraltet.</p>


<p>Danke für das Interesse!</p>', '4');
INSERT INTO `{$pfx}content` VALUES ('beitrag_leisten', 'Etwas beitragen', '3', '3', 'So leisten Sie Ihren Beitrag zu CMBasic', '<h1>Leisten Sie Ihren Beitrag zu CMBasic!</h1>

<div class=\"lead\">CMBasic ist unser Beitrag für Sie, vielleicht wollen auch Sie einen Beitrag für uns bzw. für die Allgemeinheit leisten? Besonders rührige Anbieter belohnen wir durch einen Link zu ihrer Seite.</div>

<h2>Gesucht: Templates</h2>
<p>Sie haben ein attraktives Template für CMBasic erstellt? Stellen Sie die Vorlagendateien unter der GPL zur Verfügung. Wir veröffentlichen sie auf CMBasic.de und bieten sie zum Download an. 
Mehr zu Templates verraten wir Ihnen auf <a href=\"http://www.cmbasic.de\">CMBasic.de</a>.</p>

<p class=\"tipp\">Auch für Codeoptimierungen und kleine Verbesserungen sind wir stets dankbar.</p>', '0');
INSERT INTO `{$pfx}content` VALUES ('haeufige_fragen', 'Häufige Fragen', '5', '0', 'Häufige Fragen zu CMBasic', '<h1>Häufige Fragen zu CMBasic</h1>

<div class=\"lead\">An dieser Stelle präsentieren wir Ihnen einige häufige Fragen zu CMBasic. Bitte lesen Sie zuerst diese Liste, wenn Sie Fragen haben. Eine aktualisierte Fassung finden Sie hier: <a href=\"http://www.cmbasic.de/haeufige_fragen.html\">Häufige Fragen direkt auf CMBasic.de</a>.</div>

<h2>Wie suchmaschinenfreundlich ist CMBasic?</h2>
<p>Auch dynamische Seiten werden gut in Google und Co. gelistet. Wir machen mit dieser Art von kurzen und beschreibenden URL-Anhängen seit Jahren gute Erfahrungen. Googlen Sie doch einmal nach cmbasic oder nach Johann-Christian Hanke. :-)</p>
<p>Außerdem unterstützt CMBasic auch suchmaschinenfreundliche URLs mit Hilfe der Webserverkomponente mod_rewrite. So wie auf CMBasic.de.</p>

<h2>Können wir Featurewünsche einreichen?</h2>
<p>Nein. CMBasic ist und bleibt basic! Wenn Ihnen der Funktionsumfang nicht genügt, steigen Sie bitte auf eins der vielen frei verfügbaren großen CMS um, z.B. auf Joomla.</p>

<h2>Können wir Sie als Programmierer engagieren?</h2>
<p>Nein. Wir schaffen schon so kaum unsere Projekte: Mit den Kindern spazierengehen, sich um die Familie kümmern, im Verein mitarbeiten, Bücher und Zeitschriftenartikel schreiben ... Es gibt so viele wichtigere Dinge als den PC! Und ganz unter uns: So genial programmieren können wir wirklich nicht. Deshalb programmieren wir ja dieses System und schreiben unsere Bücher - damit wir es lernen. ;-)</p>

<h2>Können wir Fehlermeldungen einreichen?</h2>
<p>Immer zu, wir kennen leider nicht alle Dienstleister und vor Überraschungen ist niemand gefeilt. Wir bitten jedoch um detaillierte Beschreibung über das Feedbackformular auf <a href=\"http://www.cmbasic.de\">www.cmbasic.de</a>.</p>

<h2>Wie können wir CMBasic kaufen?</h2>
<p>CMBasic ist umsonst.</p>

<h2>Wie können wir Sie und die Entwicklung von CMBasic fördern?</h2>
<p>Nett, aber wir bleiben bescheiden. Sie sehen ja, auf unseren Seiten gibt es keine Amazon-Links, keine Google-Ads und keine Werbebanner. Freuen Sie sich über das Leben und lächeln Sie! Tun Sie anderen Leuten etwas Gutes und hören Sie auf, sich sinnlos zu streiten. Damit tun Sie mir schon einen großen Gefallen. Einverstanden, Sie dürfen auch sich <a href=\"?quellcode\">einen Gefallen</a> tun, natürlich nur, wenn Sie Kinderbücher (auch für Erwachsene) mögen.</p>', '0');
INSERT INTO `{$pfx}content` VALUES ('feedback', 'Feedback', '6', '0', 'Feedback', '<h1>Feedback</h1>

<div class=\"lead\">Diese Seite zeigt am Beispiel des Feedbackskripts, wie der entsprechende Symbolbefehl eingesetzt wird. Bitte rufen Sie den Quelltext im HTML-Modus auf und schauen Sie sich den Symbolbefehl an.</div>

{feedback,adresse@server.de}', '0');

CREATE TABLE `{$pfx}newsbox` (
  `KastenNr` smallint(6) NOT NULL default '0',
  `KastenHead` varchar(50) default NULL,
  `KastenText` text,
  PRIMARY KEY  (`KastenNr`)
) DEFAULT CHARACTER SET utf8;

INSERT INTO {$pfx}newsbox VALUES ('1', 'Soeben gelandet', 'Soeben ist die Version 1.7 unseres kleinen CMS gelandet. Please enjoy!');
INSERT INTO {$pfx}newsbox VALUES ('2', 'Kasten 2', 'Notieren Sie hier Text für Kasten 2.');
INSERT INTO {$pfx}newsbox VALUES ('3', 'Geld ist nicht alles', 'Denken Sie daran: Es gibt wichtigere Dinge im Leben als Computer. Das ist übrigens Kasten 3, den Sie wie alle Kästen im Bereich Kästen bearbeiten können.');
INSERT INTO {$pfx}newsbox VALUES ('4', 'Etwas Eigenwerbung', 'Da wir gerade bei Eigenwerbung sind: Aus unseren Hause stammen auch sehr viele dieser kleinen KnowWare-Heftchen. Preiswert, kurz und übersichtlich. <a href=\"http://www.knowware.de\" target=\"_top\">Hier erfahren Sie mehr darüber</a>. Danke.');

CREATE TABLE `{$pfx}rights` (
  `URLAnhang` varchar(25) NOT NULL default '',
  `user` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`URLAnhang`,`user`)
) DEFAULT CHARACTER SET utf8;

CREATE TABLE {$pfx}user (
  `user` varchar(15) NOT NULL default '',
  `pw` varchar(80) default NULL,
  `rights` tinyint(4) default NULL,
  `email` varchar(255) default NULL,
  `code` varchar(255) default NULL,
  PRIMARY KEY  (`user`)
) DEFAULT CHARACTER SET utf8;

INSERT INTO `{$pfx}user` (`user`, `pw`, `rights`) 
VALUES ('admin', '\$2y\$10\$y82xyQeliMAfZ//76yS8BuovzwDONCOh/Lopkyg/UszSo.2CB7Uja', '4');
";

$sqlcontrol = "";
$sqlview = "";
$errors = "";

if (mysqli_multi_query($conn, $sqlcode)) {
    do {
        if ($result = mysqli_store_result($conn)) {
            mysqli_free_result($result);
        }
        if (mysqli_more_results($conn)) {
            // Nächste Abfrage vorbereiten
            $sqlcontrol .= "<small><b>Nächster Befehl</b></small><br>";
        }
    } while (mysqli_next_result($conn));
    $schritt1 = true;
    echo "<p class='success'>Datenbanktabellen <b>erfolgreich</b> eingerichtet.</p>";
} else {
    $errors = mysqli_error($conn);
    echo "<p class='nosuccess'>Datenbanktabellen konnten leider <b>nicht</b> eingerichtet werden. Vielleicht existieren sie ja schon? </p>";
    echo "<p>Fehler: $errors</p>";
    echo "<p><a href='index.php'>Zurück zur Setup-Startseite</a> - 
    <a href='../'>Zum Mini-CMS</a> - 
    <a href='../backend/'>Zum Backend</a></p>";
}

if ($schritt1) {
  echo "<p>Die Einrichtung der Datenbanktabelle war erfolgreich, daher muss das Setup
    <b>nicht</b> mehr aufgerufen werden. Löschen Sie <b>unbedingt sofort</b> den <strong>setup</strong>-Ordner!</p>
    <p><a href='index.php'>Zurück zur Setup-Startseite</a> - 
    <a href='../'>Zum Mini-CMS</a> -
    <a href='../backend/'>Zum Backend</a>
    </p>    
    <h3>In Abhängigkeit vom Dienstleister müssen Sie ggf. einen chmod setzen für die images-Ordner und den files-Ordner:</h3>
    <p>Insgesamt bei folgenden Ordnern:</p>
    <ul>
    <li>images1</li>
    <li>images2</li>
    <li>images3</li>
    <li>files</li>    
    </ul>
    <p>Auch die für das Feedbackformular wichtige Datei <strong>backend/unique.txt</strong> muss beschreibbar sein.</strong>
    <p class=\"tipp\">Diese Freigabe ist jedoch bei vielen Dienstleistern gar nicht nötig, z.B. bei 1&1, Strato oder PS-Webhosting! Selbst All-inkl.com kann man so konfigurieren, dass diese Beschränkung entfällt.</p>
    ";
}
?>
</div>
</body>
</html>