<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Mini-CMS</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="../backend/css/backend.css">
<link rel="stylesheet" type="text/css" href="../css/spezial/spezial.css">  
</head>
<body>
<div>
<h1>Datenbanksetup ohne Beispieldateien</h1>
<?php
include "../edit/config.inc.php";
include "../zugriff.inc.php";

$schritt1 = false;

$sqlcode = "
CREATE TABLE `{$pfx}content` (
  `URLAnhang` varchar(40) NOT NULL default '',
  `MenueName` varchar(40) default NULL,
  `Ebene1` smallint(6) default NULL,
  `Ebene2` smallint(6) default NULL,
  `Seitentitel` varchar(85) default NULL,
  `Content` text,
  `KastenNr` smallint(6) default NULL,
  PRIMARY KEY  (`URLAnhang`)
) DEFAULT CHARACTER SET utf8;

INSERT INTO `{$pfx}content` (`URLAnhang`, `MenueName`, `Ebene1`, `Ebene2`, `Seitentitel`, `Content`, `KastenNr`) 
VALUES ('home', 'Startseite', '1', '0', 'Willkommen auf der Startseite', '<h1>Willkommen bei CMBasic 1.7!</h1>', '0');

CREATE TABLE `{$pfx}newsbox` (
  `KastenNr` smallint(6) NOT NULL default '0',
  `KastenHead` varchar(50) default NULL,
  `KastenText` text,
  PRIMARY KEY  (`KastenNr`)
) DEFAULT CHARACTER SET utf8;

CREATE TABLE `{$pfx}rights` (
  `URLAnhang` varchar(25) NOT NULL default '',
  `user` varchar(15) NOT NULL default '',
  PRIMARY KEY (`URLAnhang`, `user`)
) DEFAULT CHARACTER SET utf8;

CREATE TABLE `{$pfx}user` (
  `user` varchar(15) NOT NULL default '',
  `pw` varchar(80) default NULL,
  `rights` tinyint(4) default NULL,
  `email` varchar(255) default NULL,
  `code` varchar(255) default NULL,
  PRIMARY KEY (`user`)
) DEFAULT CHARACTER SET utf8;

INSERT INTO `{$pfx}user` (`user`, `pw`, `rights`) 
VALUES ('admin', '\$2y\$10\$y82xyQeliMAfZ//76yS8BuovzwDONCOh/Lopkyg/UszSo.2CB7Uja', '4');
";

$sqlcontrol = "";
$sqlview = "";
$errors = "";

if (mysqli_multi_query($conn, $sqlcode)) {
    do {
        if ($result = mysqli_store_result($conn)) {
            mysqli_free_result($result);
        }
        if (mysqli_more_results($conn)) {
            // Nächste Abfrage vorbereiten
            $sqlcontrol .= "<small><b>Nächster Befehl</b></small><br>";
        }
    } while (mysqli_next_result($conn));
    $schritt1 = true;
    echo "<p class='success'>Datenbanktabellen <b>erfolgreich</b> eingerichtet.</p>";
} else {
    $errors = mysqli_error($conn);
    echo "<p class='nosuccess'>Datenbanktabellen konnten leider <b>nicht</b> eingerichtet werden. Vielleicht existieren sie ja schon? </p>";
    echo "<p>Fehler: $errors</p>";
    echo "<p><a href='index.php'>Zurück zur Setup-Startseite</a> - 
    <a href='../'>Zum Mini-CMS</a> - 
    <a href='../backend/'>Zum Backend</a></p>";
}


if ($schritt1) {
    echo "<p>Die Einrichtung der Datenbanktabelle war erfolgreich, daher muss das Setup
    <b>nicht</b> mehr aufgerufen werden. Löschen Sie <b>unbedingt sofort</b> den <strong>setup</strong>-Ordner!</p>
    <p><a href='index.php'>Zurück zur Setup-Startseite</a> - 
    <a href='../'>Zum Mini-CMS</a> -
    <a href='../backend/'>Zum Backend</a>
    </p>
    <h3>In Abhängigkeit vom Dienstleister müssen Sie ggf. einen chmod setzen für die images-Ordner und den files-Ordner:</h3>
    <p>Insgesamt bei folgenden Ordnern:</p>
    <ul>
    <li>images1</li>
    <li>images2</li>
    <li>images3</li>
    <li>files</li>    
    </ul>
    <p>Auch die für das Feedbackformular wichtige Datei <strong>backend/unique.txt</strong> muss beschreibbar sein.</strong>
    <p class=\"tipp\">Diese Freigabe ist jedoch bei vielen Dienstleistern gar nicht nötig, z.B. bei 1&1, Strato oder PS-Webhosting! Selbst All-inkl.com kann man so konfigurieren, dass diese Beschränkung entfällt.</p>";
}
?>
</div>
</body>
</html>