<?php
/* Überarbeitet und Erweitert (Nov.08) by MFD|WEB http://www.mfdweb.de */
/* Erweitert (Dez. 08) by JCH http://www.cmbasic.de (Sortierung) */

include "sessionheader.inc.php";
include "function.inc.php";

if (isset($_SESSION['rights']) && $_SESSION['rights'] >= 2) {
    $ordner = array('images1', 'images2', 'images3');

    if (@in_array($_GET['folder'], $ordner)) { // undefined index folder
        $folder = @strip_tags($_GET['folder']); // undefined index folder
    } else {
        $folder = "images1";
    }
    $pfad = "../$folder/"; // Pfad angeben
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Bilder hochladen</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="css/backend.css">
</head>
<body>
<h1>Bildverwaltung</h1>
<h3>Bilderordner wählen</h3>
<p><?php
    foreach($ordner as $value) {
        if ($value == $folder) {
            $css = " class=\"high\"";
        } else $css = "";
        echo "<a href=\"upload.php?folder=$value\"$css><img src=\"css/folder.gif\" width=\"18\" height=\"15\" border=\"0\" alt=\"\"> $value</a>\n";
		}
		?></p>
<p>Gewählter Ordner: <img src='css/folder.gif' width='18' height='15' border='0' alt=''> <b><?php echo $pfad; ?></b></p>
<h2>Bild hier hochladen:</h2>
<form action="upload.php?folder=<?php echo $folder; ?>" method="post" enctype="multipart/form-data">
<input type="file" name="datei">
<input type="submit" name="submit" value="Datei hochladen">
</form>
<?php
  $dirhandle = opendir($pfad); // Dateien auslesen Anfang

  if (isset($_FILES['datei']) && $_FILES['datei']['size'] > 0) {
    $maxibreite = 800; // Breite in Pixel angeben
    $tempname = $_FILES['datei']['tmp_name'];
    $dateiname = $_FILES['datei']['name'];
    $dateigroesse = byte_calc($_FILES['datei']['size']);
    $dateityp = GetImageSize($tempname);
    if ($dateityp[2] == 1 || $dateityp[2] == 2 || $dateityp[2] == 3) { // GIF, JPG oder PNG?
      if ($dateityp[0] <= $maxibreite) { // Datei zu breit?
        while ($file = readdir($dirhandle)) {
          if ($file == $dateiname) { // Vergleichen, ob Datei schon vorhanden
            $dateiname = "_" . $dateiname; // Unterstrich am Anfang einbauen
          }
        }
        if (move_uploaded_file($tempname, $pfad . $dateiname)) {
          chmod($pfad . $dateiname, 0666);
          echo "<h2>Hochladen erfolgreich!</h2>
<p>Die Datei wurde <b>erfolgreich</b> hochgeladen!<br>
Dateigröße: <b>$dateigroesse</b><br/>
Breite: <b>$dateityp[0]</b><br/>
Bildname: <b>$dateiname</b><br/>
Bildordner: <b>$pfad</b></p></p>";
        } else {
          echo "<h2>Upload war leider nicht erfolgreich!</h2>";
        }
      } else {
        echo "<h2>Achtung: Grafik ist zu breit!</h2>
<p>Datei ist breiter als <b>$maxibreite Pixel</b> und damit zu breit!</p>";
      }
    } else {
      echo "<p>Es handelt sich nicht um eine gültige GIF-, JPG-, bzw. PNG-Datei!</p>";
    }
    echo "<form action=\"upload.php?folder=$folder\" method=\"post\">
<input type=\"submit\" value=\"OK\"></form>";
}

  // Hier wird das Bild gelöscht
  if (isset($_GET['delete']) && isset($_GET['folder'])) { // Prüfen, ob URL-Parameter übergeben wird
    // Löschfunktion aufrufen
    if (@unlink("$pfad$_GET[delete]")) {
      // Statusmeldung ausgeben
      echo "<h2>Bild $_GET[delete] im Ordner $pfad wurde gelöscht! -
    <a href=\"upload.php?folder=$folder\">Alles klar!</a></h2>";
    } else {
      echo "<h2>Löschen nicht erfolgreich! -
    <a href=\"upload.php?folder=$folder\">Abbruch!</a></h2>";
    }
  }

  while ($file = readdir($dirhandle)) {
    if ($file != "." && $file != "..") {
      $masze = GetImageSize($pfad . $file);
      $groesse = byte_calc(filesize($pfad . $file));
      @$dateiausgabe_arr["$file"] = "<h3>$file ($masze[0] x $masze[1] Pixel), Dateigröße: $groesse</h3>
      <p><img src=\"$pfad$file\" $masze[3]>
      <a href=\"upload.php?delete=$file&amp;folder=$folder\" onClick=\"return confirm('Möchten Sie das Bild: $file wirklich Löschen?');\">Bild löschen?</a></p>
      <hr>\n";
    }
  }

  if (isset($dateiausgabe_arr)) {
  // nach Alphabet sortieren
    ksort($dateiausgabe_arr);
    // Bilder ausgeben
    foreach ($dateiausgabe_arr as $value) {
      echo $value;
    }
  }

  closedir($dirhandle); // Dateien auslesen Ende
?>
</body>
</html>
<?php
} else {
  include "umleitung.php";
}
?>