<?php

/* Video einbinden per HTML5-Video-Tag
 *
 * @version 1.0
 * @date 2022-12-09
 * @author JCH 
 * @lizenz CreativeCommons cc-by-sa 3.0 de (Namensnennung-Weitergabe unter gleichen Bedingungen 3.0 Deutschland) http://creativecommons.org/licenses/by-sa/3.0/de/
 */

defined('CMBASIC') or die();
preg_match_all("/{((video),(.*?))}/i", $acticon, $videofund);
$videofile = "";
$videowidth = "";
$videoheight = "";
$previewfile = "";

$flvcount = 1;
foreach ($videofund[1] as $videopara_komp) {
    $videopara = explode(",", $videopara_komp);

    if (!empty($videopara[1])) {
	$videofile = "{$videopara[1]}";
    $previewfile = substr($videofile, 0, -4);
    }
    if (!empty($videopara[2])) {
        $videowidth = "width='{$videopara[2]}'";        
        $videoadd = ",$videopara[2]";		
    } 
    if (!empty($videopara[3])) {
        $videoheight = "width='{$videopara[3]}'";        
		$videoadd .= ",$videopara[3]";		
    } 
    if (file_exists('video/' . $previewfile . '.gif' )) {
        $previewfile = "poster='video/{$previewfile}.gif'";        		
	} 
	if (file_exists('video/' . $previewfile . '.png' )) {
        $previewfile = "poster='video/{$previewfile}.png'";        				
	}
	if (file_exists('video/' . $previewfile . '.jpg' )) {
        $previewfile = "poster='video/{$previewfile}.jpg'";        				
	}	

    $videocode = <<<VIDEOCODE
<video {$previewfile} {$videowidth} {$videoheight} controls $previewfile>
  <source src="video/{$videofile}" type="video/mp4">
</video>
VIDEOCODE;

    $muster = "|{video,$videopara[1]$videoadd}|";
    $acticon = preg_replace($muster, $videocode, $acticon);
    $flvcount++;
}

?>